/**
 * 这是用户业务逻辑的服务
 */
export default class UserService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'UserService'
	}
	/* 供应商注册 */ 
	appSupplierRegister (data = {}) {
		return this.AjaxService.post({ url:'/supplier/register', data, isLoading: true })
	}
	/* 初始化查询用户是否为正常用户 */ 
	appSelectLoginUser (data = {}) {
		return this.AjaxService.post({ url:'', data, isLoading: true })
	}
	/**
	 * 账号登录
	 * @param mobileOrEmail 邮箱或手机
	 * @param password	密码
	 * @param source 来源 PC与小程序传:'www'crm就传'crm'
	 */
	AorganizationLogin (data = {}) {
		return this.AjaxService.post({ url:'/user/login', data, isLoading: true })
	}
	/**
	 * @机构-地址列表
	 * @param:userId 用户ID(必传)，
	 * @param:pageNum 页码
	 * @param:pageSize 每页条数
	 */
	QueryAddressList (data = {}) {
		return this.AjaxService.get({ url:'/personalCenter/findAddress', data, isLoading: true })
	}
	/**
	 * @机构-添加&&修改地址
	 * @param:userId 用户ID(必传)，
	 * @param:地址信息，
	 */
	AddNewAddress (data = {}) {
		return this.AjaxService.post({ url:'/personalCenter/saveAddress', data, isLoading: true })
	}
	/**
	 * @机构-删除地址
	 * @param:userId 用户ID(必传)，
	 * @param:地址信息，
	 */
	DeleteNewAddress (data = {}) {
		return this.AjaxService.get({ url:'/personalCenter/deleteAddress', data, isLoading: true })
	}
	/**
	 * @机构-个人中心
	 * @param:userId 用户ID(必传)，
	 */
	PersonalInfo (data = {}) {
		return this.AjaxService.get({ url:'/personalCenter/myCentre', data, isLoading: true })
	}
	/* 运营人员管理-列表 */
	QueryOperatorList (data = {}) {
		return this.AjaxService.get({ url:'/operation/list', data, isLoading: true })
	}
	/* 运营人员管理-添加 */
	PostAddOperator (data = {}) {
		return this.AjaxService.post({ url:'/operation/add', data, isLoading: true })
	}
	/* 运营人员管理-删除 */
	PostDeleteOperator (data = {}) {
		return this.AjaxService.post({ url:'/operation/delete', data, isLoading: true })
	}
	/* 运营人员管理-更新邀请码 */
	PostUpdateOperatorCode (data = {}) {
		return this.AjaxService.post({ url:'/operation/updateInvitationCode', data, isLoading: true })
	}
	
}